Vontu FileSystem Scanner installation requirements and FAQs

book

Article ID: 159499

calendar_today

Updated On:

Products

Data Loss Prevention Network Discover

Issue/Introduction

Installation and FAQs regarding Filesystem Scanners.

Resolution

Installation

  • Must be installed on the machine whose filesystem you want to scan
  • Solaris requires a certain patch level for the scanner to work.
    o Solaris 8: 111308-05 (http://sunsolve.sun.com/search/document.do?assetkey=1-21-111308-05-1 ;)
    o Solaris 9: 115697-01 (http://sunsolve.sun.com/search/document.do?assetkey=1-21-115697-02-1)
  • AIX version requires these C runtime libraries
    o xlC.aix50.rte (v8.0.0.0+)
    o xlC.rte (v8.0.0.0+)
  • AIX version requires Java 1.5 to be installed
  • On Linux/AIX/Solaris, the scanner must be installed by the "root" user.
  • On Linux/AIX/Solaris appropriate permissions must be given to the directories and files of the scanner installation if a user other than the one who installed it wants to run the scanner

FAQS

1. How much total space is required once the package is built and installed for each platform?

A) Solaris - 145M
B) Linux - 154M
C) AIX - 35M

2. Are there any required patch levels for Solaris 10?

We are not aware of any patch level requirements.

3. Is Solaris x86 supported?

Only Solaris 8, 9, and 10 on SPARC is supported.  (The Administrator Guides for DLP versions 8 and 9 mistakenly list Solaris x86 as being supported.)

4. Does AIX require Java 1.5 or can it be a more recent version?  What version of Java is required for DLP version 10.0 and 10.5 AIX file system scanner?

For DLP version 9 and earlier, we have tested with Java 1.5 (Java 5). We don't anticipate any issues with more recent versions.  For DLP 10.0 and later, Java 1.6 (Java 6) is required.  (Some documentation in DLP version 10.0 and 10.5 mistakenly lists Java 1.5 as being required, which is not accurate.)

5. Are the C runtime libraries required to run the scanner or just build and install the package?

Running the scanner

6. Do we need the AIX compiler?

No. Only the runtime libs.